#
class friendica::configure {

  $mysql_web_user     = $friendica::mysql_web_user
  $mysql_web_password = $friendica::mysql_web_password
  $mysql_db_name      = $friendica::mysql_db_name
  $admin_email        = $friendica::admin_email

  file { '/opt/friendica/poller.sh':
    owner   => 'root',
    group   => 'root',
    mode    => '0550',
    content => "#!/bin/bash\ncd /var/www && /usr/bin/php include/poller.php"

  } ->

  cron { 'run_poller':
    command => '/opt/friendica/poller.sh',
    minute  => '*/10',
  }

  file { '/var/www/.htconfig.php':
    owner => 'root',
    group => 'root',
    mode => '0444',
    content => template("${module_name}/htconfig.php.erb"),
  }

}
