#
class friendica::tls {

  $tls_key      = $friendica::tls_key
  $tls_cert     = $friendica::tls_cert
  $service_name = $friendica::service_name

  Exec { 'create-dhparam.pem':
    command => '/usr/bin/openssl dhparam -out /etc/ssl/certs/dhparam.pem 4096',
    creates => '/etc/ssl/certs/dhparam.pem',
    timeout => '900',
  }

  if $tls_key != undef {
    file { "/etc/ssl/private/${service_name}.key":
      owner   => 'root',
      group   => 'root',
      mode    => '0440',
      content => $tls_key,
    } ->

    file { "/etc/ssl/certs/${service_name}.crt":
      owner   => 'root',
      group   => 'root',
      mode    => '0440',
      content => $tls_cert,
    }
  } else {



  }

}
