#
class friendica::mysql {

  $mysql_web_password = $friendica::mysql_web_password
  $mysql_web_user     = $friendica::mysql_web_user
  $mysql_db_name      = $friendica::mysql_db_name

  $override_options = {
    'mysqld' => {
      'sql_mode' => ' ',
    }
  }

  class { '::mysql::server':
    override_options => $override_options,
  }

  ::mysql::db { $mysql_db_name:
    user     => $mysql_web_user,
    password => $mysql_web_password,
    host     => 'localhost',
    grant    => ['ALL'],
  }

}
